/**
 * 文件上传组件
 * 支持点击上传、拖拽上传、多文件上传、文件类型限制、大小限制等功能
 */
import { PropType } from 'vue';
import type { UploadFile } from '../types';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    action: {
        type: StringConstructor;
        required: true;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => {};
    };
    data: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileList: {
        type: PropType<UploadFile[]>;
        default: () => never[];
    };
}>, {
    fileInput: import("vue").Ref<HTMLInputElement | null, HTMLInputElement | null>;
    fileList: import("vue").Ref<{
        uid: string;
        name: string;
        size: number;
        type: string;
        status: "success" | "error" | "ready" | "uploading";
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[], UploadFile[] | {
        uid: string;
        name: string;
        size: number;
        type: string;
        status: "success" | "error" | "ready" | "uploading";
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[]>;
    handleClick: () => void;
    handleChange: (event: Event) => void;
    handleDrop: (event: DragEvent) => void;
    handleDragover: () => void;
    handleDragleave: () => void;
    removeFile: (file: UploadFile) => void;
    formatSize: (bytes: number) => string;
    submit: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:fileList" | "change" | "success" | "error" | "exceed")[], "update:fileList" | "change" | "success" | "error" | "exceed", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    action: {
        type: StringConstructor;
        required: true;
    };
    multiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    accept: {
        type: StringConstructor;
        default: string;
    };
    maxSize: {
        type: NumberConstructor;
        default: number;
    };
    maxCount: {
        type: NumberConstructor;
        default: number;
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => {};
    };
    data: {
        type: PropType<Record<string, any>>;
        default: () => {};
    };
    autoUpload: {
        type: BooleanConstructor;
        default: boolean;
    };
    fileList: {
        type: PropType<UploadFile[]>;
        default: () => never[];
    };
}>> & Readonly<{
    "onUpdate:fileList"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onSuccess?: ((...args: any[]) => any) | undefined;
    onError?: ((...args: any[]) => any) | undefined;
    onExceed?: ((...args: any[]) => any) | undefined;
}>, {
    multiple: boolean;
    accept: string;
    maxSize: number;
    maxCount: number;
    headers: Record<string, string>;
    data: Record<string, any>;
    autoUpload: boolean;
    fileList: UploadFile[];
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
