/**
 * Vue File Uploader 组件入口文件
 * 支持 Vue 2.x 和 Vue 3.x
 */

import { App, Plugin } from 'vue';
import FileUploader from './components/FileUploader.vue';

// 导出独立组件，用于局部注册
export { FileUploader };

/**
 * Vue 插件安装函数
 * 用于全局注册组件
 * @param app Vue 应用实例
 */
export function install(app: App) {
  app.component('FileUploader', FileUploader);
}

// 导出 Vue 插件
export default {
  install,
} as Plugin;

// 导出类型定义，供 TypeScript 使用
export * from './types'; 